<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

session_start(); 
?>
<?php if ((@$HTTP_SESSION_VARS["etat_log"] <> "connecte") or ((@$HTTP_SESSION_VARS["niv_log"] <> 9) AND (@$HTTP_SESSION_VARS["niv_log"] <> 5))) header("Location: ../index.php") ?>
<?php include ("../inc/config.inc.php") ?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php include ("../inc/fic.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	$td = strip_tags(trim($_GET['typ']));
	$coderech = strip_tags(trim($_GET['code']));
	
	if ($coderech <> "")
	{
		// Récupération des informations produit
		$row = lit_enr_pdt($coderech);
		extract ($row);

		if ($td == "edit")
			$titre = "MISE A JOUR ARTICLE";

		if ($td == "del")
			$titre = "SUPPRESSION ARTICLE";
	}
	else
	{
		if ($td == "add")
		{
			$titre = "CREATION ARTICLE";
			$pdt_vendu = TRUE;
		}
	}
	
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Article</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Scripts Javascript pour validation des formulaires -->
<script language="JavaScript" src="../inc/validator.js"></script>

</head>

<body>

<?php 
	include_once ("../inc/entete.php"); 
?>

<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<!-- Affiché uniquement s'il y a au moins famille -->
<?PHP
if (nb_fam() <> 0)
{
?>
<table width="100%"  border="0">
  <tr>
    <td width="33%"><strong><em><a href="pdt_lst.php?ta=m">Retour &agrave; la liste</a></em></strong></td>
    <td width="33%" bgcolor="#FF0000"><div align="center"><span class="titrerubrique1">Descriptif</span></div></td>
    <td width="33%"><div align="right"><strong><em></em> </strong></div></td>
  </tr>
</table>
<div align="center">
    <span class="annot_gras_it">(<img src="../img/oblig.gif" width="10" height="11"> : Saisie obligatoire)</span>
</div>
<form name="pdt_maj" id="pdt_maj" method="post" action="pdt_enr.php" onsubmit="return v.exec()">
      <input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
      <input name="typdde" type="hidden" id="typdde" value="<?PHP echo $td ?>">

<table width="100%"  border="0">
    <tr>
      <td width="20%" class="tfvNormal" id="f_code"><div align="right">Code</div></td>
      <td>
      <?PHP if ($td == "add") { ?>
		  <input name="code" type="text" id="code" value="<?PHP echo $pdt_code ?>" size="20" maxlength="20" onChange="javascript:this.value=this.value.toUpperCase();">
          <img src="../img/oblig.gif" width="10" height="11">
      <?PHP } else { ?>
		  <input name="code" type="text" id="code" value="<?PHP echo $pdt_code ?>" size="20" maxlength="20" readonly="1">
      <?PHP } ?>
	  </td>
    </tr>
    <tr>
      <td width="20%" class="tfvNormal" id="f_fam"><div align="right">Famille</div></td>
      <td><select name="fam" size="1" id="fam">
          <?PHP
				
				// Création de la liste des familles
	
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rs = mysql_query("SELECT * FROM ".TBFAM." ORDER BY fam_desc");

				$i=0;
		
				while ($resultat = mysql_fetch_array($rs)) 
				{
					extract($resultat);

					if ($i == 0)
					{
						if ($pdt_fam <> "")
							echo "<option value=\"\">-- Choisissez une famille --</option>";
						else
							echo "<option value=\"\" selected>-- Choisissez une famille --</option>";
					}

					if ($pdt_fam == $fam_code)
					{
						echo '<option value="'.$fam_code.'" selected>'.$fam_desc.'</option>';
					}
					else
					{
						echo '<option value="'.$fam_code.'">'.$fam_desc.'</option>';
					}
					
					$i++;
				}
				mysql_free_result($rs);
				mysql_close($conn);
				?>
        </select>
      <img src="../img/oblig.gif" width="10" height="11"></td>
    </tr>
    <tr>
      <td width="20%" class="tfvNormal" id="f_des"><div align="right">D&eacute;signation</div></td>
      <td><input name="des" type="text" id="des" value="<?PHP echo htmlspecialchars($pdt_des) ?>" size="50" maxlength="50" onChange="javascript:this.value=this.value.toUpperCase();"> <img src="../img/oblig.gif" width="10" height="11"></td>
    </tr>
    <tr>
      <td width="20%" class="tfvNormal" id="f_det"><div align="right">D&eacute;tail</div></td>
      <td><input name="det" type="text" id="det" value="<?PHP echo htmlspecialchars($pdt_detail) ?>" size="70" maxlength="70"></td>
    </tr>
    <tr>
      <td width="20%" class="tfvNormal" id="f_pu"><div align="right">PU TTC </div></td>
      <td><p>
          <input name="pu" type="text" id="pu" align="right" value="<?PHP echo $pdt_puttc ?>" size="10" maxlength="10"> 
      <img src="../img/oblig.gif" width="10" height="11"><br>
      <span class="annot_std_it">(la d&eacute;cimale doit &ecirc;tre '</span><span class="annot_gras_it">.</span><span class="annot_std_it">' et pas la virgule !)</span> </p>
      </td>
    </tr>
    <tr>
      <td class="tfvNormal" id="f_vente"><div align="right">Commercialis&eacute;</div></td>
      <td><?PHP 
				if ($td == "add")
				{ 
					echo "<select name=\"vendu\" size=\"1\" id=\"vendu\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}

				if (($td == "edit") OR ($td == "del"))
				{ 
					if ($pdt_vendu == TRUE)
					{
					echo "<select name=\"vendu\" size=\"1\" id=\"vendu\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
					}
					else
					{
					echo "<select name=\"vendu\" size=\"1\" id=\"vendu\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
					}
				}
				?>
                <img src="../img/oblig.gif" width="10" height="11"> </td>
    </tr>
  </table>
  <p align="center">
    <?PHP if (($td == "add") OR ($td == "edit")) { ?>
    <input name="RAZ" type="reset" id="RAZ" value="R&eacute;initialiser">
    <input name="submit" type="submit" id="submit" value="Enregistrer">
    <?PHP } ?>
    <?PHP if ($td == "del") { ?>
    <input name="del" type="submit" id="del" value="Supprimer">
    <input name="annul" type="button" id="annul" value="Annuler" onclick="javascript:; history.back();">
    <?PHP } ?>
  </p>
</form>
<p>&nbsp;</p>
<?PHP if ($td == "del") 
{
?>
	<script>
	warndelage();
	</script>
<?PHP
}
?>
	
<script>
// form fields description structure
var a_fields = {
	'code':{'l':'Code','r':true,'f':'alphanum','t':'f_code','mx':20},
	'fam':{'l':'Famille','r':true,'t':'f_fam','mx':10},
	'des':{'l':'Désignation','r':true,'t':'f_des','mx':50},
	'det':{'l':'Détail','r':false,'t':'f_det','mx':70},
	'pu':{'l':'PU TTC','r':true,'f':'real','t':'f_pu','mx':10}
},

o_config = {
	'to_disable' : ['submit', 'RAZ'],
	'alert' : 1
}

// validator constructor call
var v = new validator('pdt_maj', a_fields, o_config);

</script>
<!-- Fin Affiché uniquement s'il y a au moins une famille article -->
<?PHP
}
else
{
?>
	<script type="text/javascript">
	setTimeout("self.location.href=('fam_lst.php?ta=m');",2000)
	</script>
	<p align="center" class="annot_std_it">Merci de cr&eacute;er au moins une famille...</p>
    <?PHP
}
?>

<?php 
	include_once ("pied.php")
?>
